Bug 362593 - allow terminal to be placed in right pane
Summary: allow terminal to be placed in right pane
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: terminal (show other bugs)
Version: 16.12.2
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2016-05-02 16:54 UTC by web
Modified: 2018-01-31 00:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description web 2016-05-02 16:54:40 UTC
The terminal is an awesome feature in Dolphin, truly, very awesome!  But the limitation of only top/bottom placement is unfortunate, it significantly limits what I can use that terminal pane for.  Dolphin could be a great little command center for me if its terminal was more useful, but right now the terminal is about 4X wider than it is tall and it's just not efficient use of space; the documents I want to edit don't fit in the space unless I resize it and make the normal GUI view unusably small, resizing the pane big to small to big every time is so cumbersome that I just don't utilize the Dolphin and its terminal very much.  But I want to.  I *really* want to.  Can you please allow the terminal to be docked in the right pane?

I believe this is the line:
https://github.com/KDE/dolphin/blob/master/src/dolphinmainwindow.cpp#L1211

Reproducible: Always
Comment 1 web 2016-05-16 15:49:23 UTC
Is there any chance this will be changed in official Dolphin code?

If not...
Could I simply change the lines I linked to and compile it myself?
I've never compiled something before, so I want to make sure this would actually fix it before I venture down that rabbit hole :)
Comment 2 Rog131 2016-05-16 19:04:05 UTC
(In reply to web from comment #1)
> If not...
> Could I simply change the lines I linked to and compile it myself?
> I've never compiled something before, so I want to make sure this would
> actually fix it before I venture down that rabbit hole :)

Seems to work - a quick test: https://www.kubuntuforums.net/showthread.php?70192-Dolphin-allow-terminal-to-be-placed-to-the-left-right-top-bottom&p=388040#post388040
Comment 3 Nate Graham 2018-01-29 19:36:06 UTC
Wow, a trivial change. Wanna submit it as a patch on https://phabricator.kde.org/?
Comment 4 Nate Graham 2018-01-30 00:19:55 UTC
Submitted a slightly different patch that accomplishes the same thing: https://phabricator.kde.org/D10189
Comment 5 Nate Graham 2018-01-31 00:06:32 UTC
Git commit 108e10ca15be6662fa02f56665cc78808ab243e7 by Nathaniel Graham.
Committed on 31/01/2018 at 00:06.
Pushed by ngraham into branch 'Applications/17.12'.

Let the terminal panel dock to any part of the window

Summary:

Just what it says: Let the terminal panel sit on the left or right side of the window.

Test Plan:
Tested in KDE Neon:
- Opened terminal panel, unlocked widgets, and tried to drag it to the right or left side of the window: I can
- Put terminal panel on right side, quit Dolphin and opened Dolphin again: terminal panel appears on the right as expected
- Put terminal panel on right side, closed terminal panel, quit Dolphin, opened Dolphin, and opened the terminal panel again: terminal panel appears on the right as expected
- Removed dolphinrc file and opened terminal panel: appears on the bottom

{F5682428}

Reviewers: #dolphin

Subscribers: elvisangelaccio, anthonyfieroni, cfeck

Differential Revision: https://phabricator.kde.org/D10189

M  +0    -1    src/dolphinmainwindow.cpp

https://commits.kde.org/dolphin/108e10ca15be6662fa02f56665cc78808ab243e7